SnmpTrapType (Mibble 2.9.4 Documentation)
Date: 2016-09-27

net.percederberg.mibble.snmp

## Class SnmpTrapType

- java.lang.Object
- - net.percederberg.mibble.MibType
  - - net.percederberg.mibble.snmp.SnmpType
    - - net.percederberg.mibble.snmp.SnmpTrapType

-     public class SnmpTrapType
      extends SnmpType

  The SNMP trap type macro. This macro type is only present in SMIv1 and is defined in RFC 1215. In SMIv2 and later, the notification type macro should be used instead.
  Since:
    2.0
  See Also:
    `SnmpNotificationType`, RFC 1215 (RFC-1215)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpTrapType(MibValue enterprise, java.util.ArrayList variables, java.lang.String description, java.lang.String reference)` Creates a new SNMP trap type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MibValue` | `getEnterprise()` Returns the enterprise value.
    `java.lang.String` | `getReference()` Returns the type reference.
    `java.util.ArrayList` | `getVariables()` Returns the list of MIB values.
    `MibType` | `initialize(MibSymbol symbol, MibLoaderLog log)` Initializes the MIB type.
    `boolean` | `isCompatible(MibValue value)` Checks if the specified value is compatible with this type.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class net.percederberg.mibble.snmp.SnmpType

      `getDescription, getDescription, getUnformattedDescription, removeIndent`

    - ### Methods inherited from class net.percederberg.mibble.MibType

      `createReference, createReference, createReference, getComment, getName, getReferenceSymbol, getTag, hasReferenceTo, hasReferenceTo, hasTag, hasTag, isPrimitive, setReferenceSymbol, setTag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpTrapType

          public SnmpTrapType(MibValue enterprise,
                              java.util.ArrayList variables,
                              java.lang.String description,
                              java.lang.String reference)

      Creates a new SNMP trap type.
      Parameters:
        `enterprise` - the enterprise value
        `variables` - the list of MIB values
        `description` - the type description, or null
        `reference` - the type reference, or null

  - ### Method Detail

    - #### initialize

          public MibType initialize(MibSymbol symbol,
                                    MibLoaderLog log)
                             throws MibException

      Initializes the MIB type. This will remove all levels of indirection present, such as references to types or values. No information is lost by this operation. This method may modify this object as a side-effect, and will return the basic type.

      NOTE: This is an internal method that should only be called by the MIB loader.

      Specified by:
        `initialize` in class `MibType`
      Parameters:
        `symbol` - the MIB symbol containing this type
        `log` - the MIB loader log
      Returns:
        the basic MIB type
      Throws:
        `MibException` - if an error was encountered during the initialization
      Since:
        2.2

    - #### isCompatible

          public boolean isCompatible(MibValue value)

      Checks if the specified value is compatible with this type. A value is compatible if and only if it is an integer number value.
      Specified by:
        `isCompatible` in class `MibType`
      Parameters:
        `value` - the value to check
      Returns:
        true if the value is compatible, or false otherwise

    - #### getEnterprise

          public MibValue getEnterprise()

      Returns the enterprise value.
      Returns:
        the enterprise value

    - #### getVariables

          public java.util.ArrayList getVariables()

      Returns the list of MIB values.
      Returns:
        the list of MIB values
      See Also:
        `MibValue`

    - #### getReference

          public java.lang.String getReference()

      Returns the type reference.
      Returns:
        the type reference, or null if no reference has been set

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `MibType`
      Returns:
        a string representation of this object